/**
 * This class is the implicit headers output for the request
 */
export declare class NovaImplicitHeadersOutput {
    outputHeadersMap: Map<string, string[]>;
    /**
     * Public constructor
     */
    constructor();
    constructor(outputHeadersMap: Map<string, string[]>);
    /**
     * @param key 		 		with the key
     * @param valuesListBoolean with the values list of boolean
     */
    setRawHeaderBoolean(key: string, valuesListBoolean: Array<boolean>): void;
    /**
     * @param key 		 	    with the key
     * @param valuesListInteger with the values list of integer
     */
    setRawHeaderNumber(key: string, valuesListInteger: Array<number>): void;
    /**
     * @param key 		 	   with the key
     * @param valuesListString with the values list of string
     */
    setRawHeaderString(key: string, valuesListString: Array<string>): void;
    /**
     * @param key 	 	 with the key
     * @param valuesList with the list of values
     */
    setRawHeader(key: string, valuesList: Array<string>): void;
    /**
     * @return the output headers map
     */
    getOutputHeadersMap(): Map<string, string[]>;
    /**
     * @return the object as string
     */
    toString(): string;
}
