/**
 * This class is the implicit headers output for the request
 */
var /**
 * This class is the implicit headers output for the request
 */
NovaImplicitHeadersOutput = /** @class */ (function () {
    function NovaImplicitHeadersOutput(outputHeadersMap) {
        this.outputHeadersMap = new Map();
        if (outputHeadersMap) {
            this.outputHeadersMap = outputHeadersMap;
        }
    }
    /**
     * @param key 		 		with the key
     * @param valuesListBoolean with the values list of boolean
     */
    /**
         * @param key 		 		with the key
         * @param valuesListBoolean with the values list of boolean
         */
    NovaImplicitHeadersOutput.prototype.setRawHeaderBoolean = /**
         * @param key 		 		with the key
         * @param valuesListBoolean with the values list of boolean
         */
    function (key, valuesListBoolean) {
        if (valuesListBoolean != null) {
            var valuesListString = void 0;
            // Iterate every value boolean
            for (var valueBoolean in valuesListBoolean) {
                valuesListString.push(valueBoolean.toString());
            }
            // Set the Raw Header as String[]
            this.setRawHeader(key, valuesListString);
        }
    };
    /**
     * @param key 		 	    with the key
     * @param valuesListInteger with the values list of integer
     */
    /**
         * @param key 		 	    with the key
         * @param valuesListInteger with the values list of integer
         */
    NovaImplicitHeadersOutput.prototype.setRawHeaderNumber = /**
         * @param key 		 	    with the key
         * @param valuesListInteger with the values list of integer
         */
    function (key, valuesListInteger) {
        if (valuesListInteger != null) {
            var valuesListString = void 0;
            // Iterate every value integer
            for (var valueInteger in valuesListInteger) {
                valuesListString.push(valueInteger.toString());
            }
            // Set the Raw Header as List<String>
            this.setRawHeader(key, valuesListString);
        }
    };
    /**
     * @param key 		 	   with the key
     * @param valuesListString with the values list of string
     */
    /**
         * @param key 		 	   with the key
         * @param valuesListString with the values list of string
         */
    NovaImplicitHeadersOutput.prototype.setRawHeaderString = /**
         * @param key 		 	   with the key
         * @param valuesListString with the values list of string
         */
    function (key, valuesListString) {
        // It is the same than "setRawHeader"
        this.setRawHeader(key, valuesListString);
    };
    /**
     * @param key 	 	 with the key
     * @param valuesList with the list of values
     */
    /**
         * @param key 	 	 with the key
         * @param valuesList with the list of values
         */
    NovaImplicitHeadersOutput.prototype.setRawHeader = /**
         * @param key 	 	 with the key
         * @param valuesList with the list of values
         */
    function (key, valuesList) {
        if (valuesList != null) {
            this.outputHeadersMap.set(key, valuesList);
        }
    };
    /**
     * @return the output headers map
     */
    /**
         * @return the output headers map
         */
    NovaImplicitHeadersOutput.prototype.getOutputHeadersMap = /**
         * @return the output headers map
         */
    function () {
        return this.outputHeadersMap;
    };
    /**
     * @return the object as string
     */
    /**
         * @return the object as string
         */
    NovaImplicitHeadersOutput.prototype.toString = /**
         * @return the object as string
         */
    function () {
        return JSON.stringify(this, null, 4);
    };
    return NovaImplicitHeadersOutput;
}());
/**
 * This class is the implicit headers output for the request
 */
export { NovaImplicitHeadersOutput };
;
//# sourceMappingURL=nova-implicit-headers-output.headers.js.map