/**
 * This class contains the common methods for random use
 */
export declare class RandomValues {
    /**
     * Public constructor
     */
    constructor();
    /**
     * @return a random boolean
     */
    static generateRandomBoolean(): boolean;
    /**
     * @return a random number
     */
    static generateRandomNumber(): number;
    /**
     * @return a random string
     */
    static generateRandomString(): string;
    /**
     * @return a random file
     */
    static generateRandomFile(): string;
}
