/**
 * This class contains the common methods for parsing the income results
 */
var /**
 * This class contains the common methods for parsing the income results
 */
NovaParserValues = /** @class */ (function () {
    /**
     * Public constructor
     */
    function NovaParserValues() {
    }
    /**
     * @param stringValue with the string value
     * @return a boolean
     */
    /**
         * @param stringValue with the string value
         * @return a boolean
         */
    NovaParserValues.booleanParser = /**
         * @param stringValue with the string value
         * @return a boolean
         */
    function (stringValue) {
        return (stringValue === true);
    };
    /**
     * @param stringValue with the string value
     * @return a number
     */
    /**
         * @param stringValue with the string value
         * @return a number
         */
    NovaParserValues.numberParser = /**
         * @param stringValue with the string value
         * @return a number
         */
    function (stringValue) {
        return parseInt(stringValue);
    };
    /**
     * @param stringValue with the string value
     * @return a float
     */
    /**
         * @param stringValue with the string value
         * @return a float
         */
    NovaParserValues.floatParser = /**
         * @param stringValue with the string value
         * @return a float
         */
    function (stringValue) {
        return parseFloat(stringValue);
    };
    /**
     * @param stringValue with the string value
     * @return a string
     */
    /**
         * @param stringValue with the string value
         * @return a string
         */
    NovaParserValues.stringParser = /**
         * @param stringValue with the string value
         * @return a string
         */
    function (stringValue) {
        return String(stringValue);
    };
    /**
     * @param fileValue with the file value
     * @return a float
     */
    /**
         * @param fileValue with the file value
         * @return a float
         */
    NovaParserValues.fileParser = /**
         * @param fileValue with the file value
         * @return a float
         */
    function (fileValue) {
        return fileValue;
    };
    return NovaParserValues;
}());
/**
 * This class contains the common methods for parsing the income results
 */
export { NovaParserValues };
;
//# sourceMappingURL=nova-parser-values.utils.js.map