(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@angular/common"), require("@angular/core"));
	else if(typeof define === 'function' && define.amd)
		define(["@angular/common", "@angular/core"], factory);
	else if(typeof exports === 'object')
		exports["generator-lib-commons-angular5"] = factory(require("@angular/common"), require("@angular/core"));
	else
		root["generator-lib-commons-angular5"] = factory(root["ng"]["common"], root["ng"]["core"]);
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_4__, __WEBPACK_EXTERNAL_MODULE_5__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 2);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class is the error message
 */
var ErrorMessage = /** @class */ (function () {
    /**
     * Public constructor
     */
    function ErrorMessage() {
    }
    /**
     * @param code the code to set
     */
    ErrorMessage.prototype.setCode = function (code) {
        this.code = code;
    };
    /**
     * @return the code
     */
    ErrorMessage.prototype.getCode = function () {
        return this.code;
    };
    /**
     * @param message the message to set
     */
    ErrorMessage.prototype.setMessage = function (message) {
        this.message = message;
    };
    /**
     * @return the message
     */
    ErrorMessage.prototype.getMessage = function () {
        return this.message;
    };
    /**
     * @param type the type to set
     */
    ErrorMessage.prototype.setType = function (type) {
        this.type = type;
    };
    /**
     * @return the type
     */
    ErrorMessage.prototype.getType = function () {
        return this.type;
    };
    /**
     * @param parameters the parameters to set
     */
    ErrorMessage.prototype.setParameters = function (parameters) {
        this.parameters = parameters;
    };
    /**
     * @return the parameters
     */
    ErrorMessage.prototype.getParameters = function () {
        return this.parameters;
    };
    /**
     * @return the object as string
     */
    ErrorMessage.prototype.toString = function () {
        return JSON.stringify(this, null, 4);
    };
    return ErrorMessage;
}());
exports.ErrorMessage = ErrorMessage;
;


/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class is the error message parameters
 */
var ErrorMessageParams = /** @class */ (function () {
    /**
     * Public constructor
     */
    function ErrorMessageParams() {
    }
    /**
     * @param name the name to set
     */
    ErrorMessageParams.prototype.setName = function (name) {
        this.name = name;
    };
    /**
     * @return the name
     */
    ErrorMessageParams.prototype.getName = function () {
        return this.name;
    };
    /**
     * @return the object as string
     */
    ErrorMessageParams.prototype.toString = function () {
        return JSON.stringify(this, null, 4);
    };
    return ErrorMessageParams;
}());
exports.ErrorMessageParams = ErrorMessageParams;
;


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var generator_lib_commons_angular5_module_1 = __webpack_require__(3);
exports.GeneratorLibCommonsModuleAngular5 = generator_lib_commons_angular5_module_1.GeneratorLibCommonsModuleAngular5;
var errors_exception_1 = __webpack_require__(6);
exports.Errors = errors_exception_1.Errors;
var error_message_exception_1 = __webpack_require__(0);
exports.ErrorMessage = error_message_exception_1.ErrorMessage;
var error_message_type_exception_1 = __webpack_require__(7);
exports.ErrorMessageType = error_message_type_exception_1.ErrorMessageType;
var error_message_params_exception_1 = __webpack_require__(1);
exports.ErrorMessageParams = error_message_params_exception_1.ErrorMessageParams;
var nova_metadata_metadata_1 = __webpack_require__(8);
exports.NovaMetadata = nova_metadata_metadata_1.NovaMetadata;
var nova_implicit_headers_output_headers_1 = __webpack_require__(9);
exports.NovaImplicitHeadersOutput = nova_implicit_headers_output_headers_1.NovaImplicitHeadersOutput;
var random_values_random_1 = __webpack_require__(10);
exports.RandomValues = random_values_random_1.RandomValues;
var nova_request_config_request_1 = __webpack_require__(11);
exports.NovaRequestConfig = nova_request_config_request_1.NovaRequestConfig;
var nova_parser_values_utils_1 = __webpack_require__(12);
exports.NovaParserValues = nova_parser_values_utils_1.NovaParserValues;
var nova_schemes_values_uri_1 = __webpack_require__(13);
exports.NovaSchemesValues = nova_schemes_values_uri_1.NovaSchemesValues;


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = __webpack_require__(4);
var core_1 = __webpack_require__(5);
var GeneratorLibCommonsModuleAngular5 = /** @class */ (function () {
    function GeneratorLibCommonsModuleAngular5() {
    }
    GeneratorLibCommonsModuleAngular5_1 = GeneratorLibCommonsModuleAngular5;
    GeneratorLibCommonsModuleAngular5.forRoot = function () {
        return {
            ngModule: GeneratorLibCommonsModuleAngular5_1
        };
    };
    GeneratorLibCommonsModuleAngular5 = GeneratorLibCommonsModuleAngular5_1 = __decorate([
        core_1.NgModule({
            imports: [common_1.CommonModule]
        })
    ], GeneratorLibCommonsModuleAngular5);
    return GeneratorLibCommonsModuleAngular5;
    var GeneratorLibCommonsModuleAngular5_1;
}());
exports.GeneratorLibCommonsModuleAngular5 = GeneratorLibCommonsModuleAngular5;


/***/ }),
/* 4 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_4__;

/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_5__;

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var error_message_exception_1 = __webpack_require__(0);
var error_message_params_exception_1 = __webpack_require__(1);
/**
 * This class is the errors to handle this type of errors
 */
var Errors = /** @class */ (function () {
    /**
     * Public constructor
     * @param status with the status code
     */
    function Errors(status) {
        this.status = status;
    }
    /**
     * @param status the status to set
     */
    Errors.prototype.setStatus = function (status) {
        this.status = status;
    };
    /**
     * @return the status
     */
    Errors.prototype.getStatus = function () {
        return this.status;
    };
    /**
     * @param messages the messages to set
     */
    Errors.prototype.setMessages = function (messages) {
        this.messages = messages;
    };
    /**
     * @return the messages
     */
    Errors.prototype.getMessages = function () {
        return this.messages;
    };
    /**
     * @return the object as string
     */
    Errors.prototype.toString = function () {
        return JSON.stringify(this, null, 4);
    };
    /**
     * @param statusCode with the status code
     * @param jsonContent with the JSON Content
     * @return a new instance of errors
     */
    Errors.parse = function (statusCode, jsonContent) {
        // Generate a new instance of Errors
        var outcome = new Errors(statusCode);
        var messagesInstance = null;
        if (jsonContent != null && jsonContent != "undefined" && jsonContent.messages != null && jsonContent.messages != "undefined") {
            messagesInstance = Errors.parseMessages(jsonContent.messages);
        }
        // Set the messages
        outcome.setMessages(messagesInstance);
        return outcome;
    };
    /**
     * @param messagesJsonArray with the array of messages of JSON
     * @return an array of instances of this class
     */
    Errors.parseMessages = function (messagesJsonArray) {
        var messagesArrayInstance = [];
        var messagesArrayJsonLength = messagesJsonArray.length;
        for (var i = 0; i < messagesArrayJsonLength; i++) {
            var errorMessage = new error_message_exception_1.ErrorMessage();
            errorMessage.setCode(messagesJsonArray[i].code);
            errorMessage.setMessage(messagesJsonArray[i].message);
            errorMessage.setType(messagesJsonArray[i].type);
            var errorMessageParams = null;
            if (messagesJsonArray[i].parameters != null && messagesJsonArray[i].parameters != "undefined") {
                errorMessageParams = Errors.parseMessageParams(messagesJsonArray[i].parameters);
            }
            errorMessage.setParameters(errorMessageParams);
            // Set the error message to the array
            messagesArrayInstance[i] = errorMessage;
        }
        return messagesArrayInstance;
    };
    /**
     * @param messageParamsJsonArray with the array of message parameters of JSON
     * @return an array of instances of this class
     */
    Errors.parseMessageParams = function (messageParamsJsonArray) {
        var messageParamsArrayInstance = [];
        var messageParamsJsonArrayLength = messageParamsJsonArray.length;
        for (var i = 0; i < messageParamsJsonArrayLength; i++) {
            var errorMessageParams = new error_message_params_exception_1.ErrorMessageParams();
            errorMessageParams.setName(messageParamsJsonArray[i].name);
            messageParamsArrayInstance[i] = errorMessageParams;
        }
        return messageParamsArrayInstance;
    };
    return Errors;
}());
exports.Errors = Errors;
;


/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class contains the common enumerations for error message type
 */
var ErrorMessageType = /** @class */ (function () {
    function ErrorMessageType() {
    }
    /** Error Message type - fatal */
    ErrorMessageType.fatal = "fatal";
    /** Error Message type - critical */
    ErrorMessageType.critical = "critical";
    /** Error Message type - error */
    ErrorMessageType.error = "error";
    /** Error Message type - warning */
    ErrorMessageType.warning = "warning";
    return ErrorMessageType;
}());
exports.ErrorMessageType = ErrorMessageType;


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class is the metadata information for the request
 */
var NovaMetadata = /** @class */ (function () {
    /**
     * Public constructor
     */
    function NovaMetadata(novaImplicitHeadersOutput) {
        this.novaImplicitHeadersOutput = novaImplicitHeadersOutput;
    }
    /**
     * @return the Nova implicit headers output
     */
    NovaMetadata.prototype.getNovaImplicitHeadersOutput = function () {
        return this.novaImplicitHeadersOutput;
    };
    /**
     * @return the object as string
     */
    NovaMetadata.prototype.toString = function () {
        return JSON.stringify(this, null, 4);
    };
    return NovaMetadata;
}());
exports.NovaMetadata = NovaMetadata;
;


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class is the implicit headers output for the request
 */
var NovaImplicitHeadersOutput = /** @class */ (function () {
    function NovaImplicitHeadersOutput(outputHeadersMap) {
        this.outputHeadersMap = new Map();
        if (outputHeadersMap) {
            this.outputHeadersMap = outputHeadersMap;
        }
    }
    /**
     * @param key 		 		with the key
     * @param valuesListBoolean with the values list of boolean
     */
    NovaImplicitHeadersOutput.prototype.setRawHeaderBoolean = function (key, valuesListBoolean) {
        if (valuesListBoolean != null) {
            var valuesListString = void 0;
            // Iterate every value boolean
            for (var valueBoolean in valuesListBoolean) {
                valuesListString.push(valueBoolean.toString());
            }
            // Set the Raw Header as String[]
            this.setRawHeader(key, valuesListString);
        }
    };
    /**
     * @param key 		 	    with the key
     * @param valuesListInteger with the values list of integer
     */
    NovaImplicitHeadersOutput.prototype.setRawHeaderNumber = function (key, valuesListInteger) {
        if (valuesListInteger != null) {
            var valuesListString = void 0;
            // Iterate every value integer
            for (var valueInteger in valuesListInteger) {
                valuesListString.push(valueInteger.toString());
            }
            // Set the Raw Header as List<String>
            this.setRawHeader(key, valuesListString);
        }
    };
    /**
     * @param key 		 	   with the key
     * @param valuesListString with the values list of string
     */
    NovaImplicitHeadersOutput.prototype.setRawHeaderString = function (key, valuesListString) {
        // It is the same than "setRawHeader"
        this.setRawHeader(key, valuesListString);
    };
    /**
     * @param key 	 	 with the key
     * @param valuesList with the list of values
     */
    NovaImplicitHeadersOutput.prototype.setRawHeader = function (key, valuesList) {
        if (valuesList != null) {
            this.outputHeadersMap.set(key, valuesList);
        }
    };
    /**
     * @return the output headers map
     */
    NovaImplicitHeadersOutput.prototype.getOutputHeadersMap = function () {
        return this.outputHeadersMap;
    };
    /**
     * @return the object as string
     */
    NovaImplicitHeadersOutput.prototype.toString = function () {
        return JSON.stringify(this, null, 4);
    };
    return NovaImplicitHeadersOutput;
}());
exports.NovaImplicitHeadersOutput = NovaImplicitHeadersOutput;
;


/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class contains the common methods for random use
 */
var RandomValues = /** @class */ (function () {
    /**
     * Public constructor
     */
    function RandomValues() {
    }
    /**
     * @return a random boolean
     */
    RandomValues.generateRandomBoolean = function () {
        return Math.random() >= 0.5;
    };
    /**
     * @return a random number
     */
    RandomValues.generateRandomNumber = function () {
        return Math.floor((Math.random() * 10) + 1);
    };
    /**
     * @return a random string
     */
    RandomValues.generateRandomString = function () {
        var randomString = "";
        var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
        for (var i = 0; i < 5; i++) {
            randomString += possible.charAt(Math.floor(Math.random() * possible.length));
        }
        return randomString;
    };
    /**
     * @return a random file
     */
    RandomValues.generateRandomFile = function () {
        return "dummyLocation";
    };
    return RandomValues;
}());
exports.RandomValues = RandomValues;
;


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class is the configuration for the request
 */
var NovaRequestConfig = /** @class */ (function () {
    /**
     * Public constructor
     * @param novaSchemesValue with the schemes value
     */
    function NovaRequestConfig(novaSchemesValue) {
        this.novaSchemesValue = novaSchemesValue;
    }
    /**
     * @return the schemes value
     */
    NovaRequestConfig.prototype.getNovaSchemeValues = function () {
        return this.novaSchemesValue;
    };
    /**
     * @return the object as string
     */
    NovaRequestConfig.prototype.toString = function () {
        return JSON.stringify(this, null, 4);
    };
    return NovaRequestConfig;
}());
exports.NovaRequestConfig = NovaRequestConfig;
;


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class contains the common methods for parsing the income results
 */
var NovaParserValues = /** @class */ (function () {
    /**
     * Public constructor
     */
    function NovaParserValues() {
    }
    /**
     * @param stringValue with the string value
     * @return a boolean
     */
    NovaParserValues.booleanParser = function (stringValue) {
        return (stringValue === true);
    };
    /**
     * @param stringValue with the string value
     * @return a number
     */
    NovaParserValues.numberParser = function (stringValue) {
        return parseInt(stringValue);
    };
    /**
     * @param stringValue with the string value
     * @return a float
     */
    NovaParserValues.floatParser = function (stringValue) {
        return parseFloat(stringValue);
    };
    /**
     * @param stringValue with the string value
     * @return a string
     */
    NovaParserValues.stringParser = function (stringValue) {
        return String(stringValue);
    };
    /**
     * @param fileValue with the file value
     * @return a float
     */
    NovaParserValues.fileParser = function (fileValue) {
        return fileValue;
    };
    return NovaParserValues;
}());
exports.NovaParserValues = NovaParserValues;
;


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class contains the common enumerations for schemes
 */
var NovaSchemesValues = /** @class */ (function () {
    function NovaSchemesValues() {
    }
    /** Schema type - http */
    NovaSchemesValues.http = "http";
    /** Schema type - https */
    NovaSchemesValues.https = "https";
    /** Schema type - ws */
    NovaSchemesValues.ws = "ws";
    /** Schema type - wss */
    NovaSchemesValues.wss = "wss";
    return NovaSchemesValues;
}());
exports.NovaSchemesValues = NovaSchemesValues;


/***/ })
/******/ ]);
});
//# sourceMappingURL=generator-lib-commons-angular5.umd.js.map