import { NovaSchemesValues } from '../uri/nova-schemes-values.uri';
/**
 * This class is the configuration for the request
 */
export declare class NovaRequestConfig {
    novaSchemesValue: NovaSchemesValues;
    /**
     * Public constructor
     * @param novaSchemesValue with the schemes value
     */
    constructor(novaSchemesValue: NovaSchemesValues);
    /**
     * @return the schemes value
     */
    getNovaSchemeValues(): NovaSchemesValues;
    /**
     * @return the object as string
     */
    toString(): string;
}
