/**
 * This class contains the common methods for parsing the income results
 */
export declare class NovaParserValues {
    /**
     * Public constructor
     */
    constructor();
    /**
     * @param stringValue with the string value
     * @return a boolean
     */
    static booleanParser(stringValue: any): boolean;
    /**
     * @param stringValue with the string value
     * @return a number
     */
    static numberParser(stringValue: any): number;
    /**
     * @param stringValue with the string value
     * @return a float
     */
    static floatParser(stringValue: any): number;
    /**
     * @param stringValue with the string value
     * @return a string
     */
    static stringParser(stringValue: any): string;
    /**
     * @param fileValue with the file value
     * @return a float
     */
    static fileParser(fileValue: any): any;
}
